ipse

[Архивы в теме] Модуль для ASSIST'а

Рекомендуемые сообщения

ipse    1

Собираюсь подключиться к АССИСТ'у для приёма пластиковых карт. Есть ли для него готовый модуль? Если нет, то работает ли кто-нибудь над его написанием? Буду рад объединить усилия по созданию модуля.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
ipse    1

Нет. Я написал свой модуль. Но так как АССИСТ отказал нам в подключении, то модуль тестировался только в демо-режиме.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
romanlryji    0

Кхм... Мне, к сожалению, пока что нечего предложить вам взамен (я только перехожу с Shop-Script на Opencart и всё больше этому факту радуюсь), но планы большие. И было бы интересно взглянуть на модуль хотя бы в тестовом режиме...

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
ipse    1

Вот исходники. В файле LINKS.txt описано, какие файлы куда класть (или куда симлинкать).У меня код работал, но гарантий, что код будет где-то ещё дать не могу. Надеюсь, он будет кому-то полезен и его допилят до нормального состояния.Да, будем считать, что код в Public Domain, но я буду благодарен, если изменения к этому коду будут публиковаться на благо комьюнити.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
slavutich7    0

Тема актуальна! Скажите, есть ли что-то более менее готовое по этому вопросу?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
ipse    1

Что-то я не понял, как тут постить файлы... Вроде прикрепляю файл, а его нет.

Ага, разобрался. Почему-то tar.bz не хотел прикрепляться, пришлось перепаковать в .zip

opencart-1.4.7-assist.zip

Изменено пользователем afwollis
Пользуйтесь функцией Редактирования сообщений (;

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
barsukidze    0

в ocStore v0.2.0 заработало только после переименовывания всех контроллеров в assist.php + assist.tpl. Всё это без создания папок assist.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Svarli    57

Актуально. Есть ли решение для 1.5.1.3 версии?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
yarik    132

C позволения Ipse выложу подпиленный модуль ASSISTa под версию 1.5.1.3, по идее должен работать и на поздних версиях. Немного недоперевел админку и нет возможности протестить саму работу модуля при оплате. Если кто попробует - отпишитесь.

assist_ocstore_1513_ru_en.zip

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Kuznec    10

модуль ASSIST под версию 1.5.3.1 видел кто?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Svarli    57

C позволения Ipse выложу подпиленный модуль ASSISTa под версию 1.5.1.3, по идее должен работать и на поздних версиях. Немного недоперевел админку и нет возможности протестить саму работу модуля при оплате. Если кто попробует - отпишитесь.

спасибо! Протестил модуль - работает отлично на 1.5.1.3

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
artrox    8

Народ а на 1.5.4.1 пойдет?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
artrox    8

Модуль кстати работает и на 1.5.4.1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Andiss    0

Чего-то на ocstore 0.2.0 не работает. После установки и настройки выкидвает на главную админки и все.... статус остается прежний - отключено. И настройки соответственно не сохраняются.... :( Обидно! крайняк нужен.... Может у кого заработал поделится????

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
empty    14

C позволения Ipse выложу подпиленный модуль ASSISTa под версию 1.5.1.3, по идее должен работать и на поздних версиях. Немного недоперевел админку и нет возможности протестить саму работу модуля при оплате. Если кто попробует - отпишитесь.

Спасибо большое, работает даже на версии 1.5.6 совместно с модулем Simple Chekout 3.5.9.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
empty    14

C позволения Ipse выложу подпиленный модуль ASSISTa под версию 1.5.1.3, по идее должен работать и на поздних версиях. Немного недоперевел админку и нет возможности протестить саму работу модуля при оплате. Если кто попробует - отпишитесь.

А вы не подскажете как настроить модуль? И сам аккаунт ассиста?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Гость
Эта тема закрыта для публикации ответов.

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу